aboutsummaryrefslogtreecommitdiffstats
path: root/meta-gnome/recipes-gnome
Commit message (Collapse)AuthorAgeFilesLines
* evince: disable help buildMartin Jansa2013-03-031-1/+2
| | | | | | | | | | | | | * xsltproc does not work in oe-core correctly: | xsltproc -o evince-it.omf --stringparam db2omf.basename evince --stringparam db2omf.format 'docbook' --stringparam db2omf.dtd "-//OASIS//DTD DocBook XML V4.1.2//EN" --stringparam db2omf.lang it --stringparam db2omf.omf_dir "/usr/share/omf" --stringparam db2omf.help_dir "/usr/share/gnome/help" --stringparam db2omf.omf_in "/OE/jansa-test/shr-core/tmp-eglibc/work/armv5te-oe-linux-gnueabi/evince/2.32.0-r2/evince-2.32.0/help/evince.omf.in" /OE/jansa-test/shr-core/tmp-eglibc/sysroots/qemuarm`/OE/jansa-test/shr-core/tmp-eglibc/sysroots/x86_64-linux/usr/bin/pkg-config --variable db2omf gnome-doc-utils` it/evince.xml || { rm -f "evince-it.omf"; exit 1; } | http://www.oasis-open.org/docbook/xml/4.1.2/dbhierx.mod:115: parser warning : PEReference: %list.class; not found | %local.divcomponent.mix;"> | ^ ... * https://bugzilla.yoctoproject.org/show_bug.cgi?id=2416 Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Eric Bénard <eric@eukrea.com>
* devilspie2: move to meta-gnome (libwnck is there)Marcin Juszkiewicz2013-01-073-0/+81
| | | | | Signed-off-by: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org> Signed-off-by: Eric Bénard <eric@eukrea.com>
* orbit2: put .a files into ${PN}-staticdev packageMario Domenech Goulart2012-11-211-2/+3
| | | | | | | Change-Id: I1b1d5452fd0252f489061a7c6035a97e837c1d45 Signed-off-by: Mario Domenech Goulart <mario@ossystems.com.br> Acked-by: Otavio Salvador <otavio@ossystems.com.br> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gnome-desktop: copy omf.make from ${STAGING_DATADIR_NATIVE} instead ↵Andreas Müller2012-11-131-2/+2
| | | | | | | | | | ${STAGING_DATADIR} * omf.make is installed by gnome-common * oe-core gnomebase.bbclass adds gnome-common-native to DEPENDS * error message was: | DEBUG: Executing shell function do_configure | cp: cannot stat `/home/andreas/tmp/oe-core-eglibc/sysroots/overo/usr/share/gnome-common/data/omf.make': No such file or directory
* gvfs-gdu-volume-monitor: fix build after oe-core's libexecdir transitionAndreas Müller2012-11-131-2/+4
| | | | | | tests: * buildhistory check with libexecdir = /usr/libexec * run test with libexecdir = /usr/lib/${BPN}
* gvfs: fix buildAndreas Müller2012-11-131-1/+2
| | | | | | | | | | error message was for build from scratch and latest heads: | ERROR: This autoconf log indicates errors, it looked at host include and/or library paths while determining system capabilities. | Rerun configure task after fixing this. The path was '/home/Superandy/tmp/oe-core-eglibc/work/armv7a-vfp-neon-angstrom-linux-gnueabi/gvfs-1.8.2-r7.0/gvfs-1.8.2' | ERROR: Function failed: do_qa_configure Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com>
* gnome-settings-daemon: add missing DEPENDSKoen Kooi2012-10-301-1/+1
| | | | Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* Replace bb.data.* with d.*Paul Eggleton2012-10-285-16/+16
| | | | | | | | | | | | | | | | | | | | | | | | Used sed expression given here: http://lists.linuxtogo.org/pipermail/openembedded-core/2011-November/012373.html Plus an additional expression for .expand. Full expression is: sed \ -e 's:bb.data.\(setVar([^,]*,[^,]*\), \([^ )]*\) *):\2.\1):g' \ -e 's:bb.data.\(setVarFlag([^,]*,[^,]*,[^,]*\), \([^) ]*\) *):\2.\1):g' \ -e 's:bb.data.\(getVar([^,]*\), \([^, ]*\) *,\([^)]*\)):\2.\1,\3):g' \ -e 's:bb.data.\(getVarFlag([^,]*,[^,]*\), \([^, ]*\) *,\([^)]*\)):\2.\1,\3):g' \ -e 's:bb.data.\(getVarFlag([^,]*,[^,]*\), \([^) ]*\) *):\2.\1):g' \ -e 's:bb.data.\(getVar([^,]*\), \([^) ]*\) *):\2.\1):g' \ -e 's:bb.data.\(expand([^,]*\), \([^ )]*\) *):\2.\1):g' \ -i `grep -ril bb.data *` Some minor correction in systemd.bbclass was needed for some expressions that didn't quite match the regex in the desired way; additionally a few instances were manually changed. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* pimlico: remove Poky overridesRoss Burton2012-10-249-215/+4
| | | | | | | | | There was a poky distro override to enable the "owl" window menu functionality. As these packages are in meta-oe now and only Sato/poky supported owl, remove the override and patches. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* PACKAGES_DYNAMIC: use regexp not globMartin Jansa2012-10-193-3/+3
| | | | | | | | | | * bitbake uses PACKAGES_DYNAMIC as regexp ^ could make matching faster (and it will be more clear that we're expecting regexp not glob) * made all those last '-' optional, use .* (or nothing) * use += instead of = in most cases to keep ${PN}-locale from bitbake.conf:PACKAGES_DYNAMIC = "^${PN}-locale-.*" Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gtk+: drop .bbappend with native BBCLASSEXTENDMartin Jansa2012-09-221-3/+0
| | | | | | * it's in oe-core now Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnome-themes: inherit perlnativeKhem Raj2012-09-201-3/+3
| | | | | | | | | | | | | | | | | It needs perl module libxml-simple-perl for icon-name-mapping secondly inherit perlnative since it may not be available on build host Fixes errors like below | Can't locate XML/Simple.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /home/kraj/work/angstrom/build/tmp-angstrom_next-eglibc/sysroots/x86_64-linux/usr/libexec/icon-name-mapping line 12. Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* recipes: few more PR bumps to rebuild after libffi5 -> libffi6Martin Jansa2012-09-204-4/+4
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* recipes: bump PR to rebuild after libffi5 -> libffi6Martin Jansa2012-09-204-3/+5
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gdm: remove obsolete filesAndreas Müller2012-09-174-657/+0
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* meta-gnome: replace virtual/gail dependency with gtk+Ross Burton2012-08-302-2/+2
| | | | | | | | GTK+ integrated the gail module back in 2009, so we can safely drop the explicit gail dependency. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* meta-gnome: add Pimlico (contacts, dates, tasks)Ross Burton2012-08-2019-0/+494
| | | | | | | | This has just been removed from oe-core and some people are still using the applications. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* meta-gnome: add evolution-data-serverRoss Burton2012-08-2010-0/+684
| | | | | Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gedit: unbreak build by adding pythonnative to inheritAndreas Müller2012-07-311-1/+2
| | | | | | | | | | error message was: ERROR: This autoconf log indicates errors, it looked at host include and/or library paths while determining system capabilities. Rerun configure task after fixing this. The path was '/home/andreas/tmp/oe-core-eglibc/work/armv7a-vfp-neon-angstrom-linux-gnueabi/gedit-2.30.4-r0/gedit-2.30.4' ERROR: Function failed: do_qa_configure Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gnome-settings-daemon: remove gtk-doc from inherit to unbreak buildAndreas Müller2012-07-311-2/+2
| | | | | | | | error message was: gtkdocize: GTK_DOC_CHECK not called in configure.ac Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gnome-menus: stop configure detecting host's pythonAndreas Müller2012-07-311-1/+2
| | | | | | | | | | | | | | This patch does not cause python bindings builded properly (native headers included) error message was: ERROR: This autoconf log indicates errors, it looked at host include and/or library paths while determining system capabilities. Rerun configure task after fixing this. The path was '/home/andreas/tmp/oe-core-eglibc/work/armv7a-vfp-neon-angstrom-linux-gnueabi/gnome-menus-2.30.5-r0/gnome-menus-2.30.5' ERROR: Function failed: do_qa_configure ERROR: Logfile of failure stored in: /home/andreas/tmp/oe-core-eglibc/work/armv7a-vfp-neon-angstrom-linux-gnueabi/gnome-menus-2.30.5-r0/temp/log.do_configure.7913 NOTE: package gnome-menus-2.30.5-r0: task do_configure: Failed Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* libwnck: use gobject-introspection-stub instead of -native which was removed ↵Martin Jansa2012-07-282-15/+5
| | | | | | in oe-core Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* libbonoboui: cleanup thanks to new gtk-doc.bbclassMartin Jansa2012-07-241-4/+4
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* orbit2: cleanup thanks to new gtk-doc.bbclassMartin Jansa2012-07-243-240/+5
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* recipes: convert tabs to 4 spaces in populate_packagesMartin Jansa2012-07-193-29/+29
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gtk+3: fix build with automake-1.12.xMartin Jansa2012-07-192-1/+32
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* dconf: fix unpackaged /usr/lib/gio/modules/.debug/libdconfsettings.soMartin Jansa2012-07-191-0/+3
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gnome-panel3: add dconf to DEPENDSMartin Jansa2012-07-191-1/+1
| | | | | | | | | | | | | * fixes: | configure:14455: error: Package requirements (gdk-pixbuf-2.0 >= 2.7.1 pango >= 1.15.4 gtk+-3.0 >= 3.0 cairo-xlib glib-2.0 >= 2.25.12 gio-2.0 >= 2.25.12 gio-unix-2.0 >= 2.25.12 gnome-desktop-3.0 >= 2.91.0 gconf-2.0 >= 2.6.1 libgnome-menu >= 2.27.92 dconf) were not met: | | No package 'dconf' found Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gsettings-desktop-schemas: add SRC_URI checksumsMartin Jansa2012-07-181-0/+2
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gnome-panel3: move as-needed.patch to gnome-panel dirMartin Jansa2012-07-182-0/+1
| | | | | | | | * there is BPN changed to gnome-panel and SRC_URI checksuming code cannot find it, causing this warning: WARNING: Unable to get checksum for gnome-panel3-native SRC_URI entry as-needed.patch: file could not be found Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gdm: move systemd support to meta-systemdAndreas Müller2012-07-162-17/+2
| | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com>
* abiword: reorder and simplifyMartin Jansa2012-06-251-81/+71
| | | | | | | | * there was overlap from .inc and bb (e.g. do_configure/EXTRA_OECONF twice) * simplify SRC_URI Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* abiword: merge abiword-2.5.inc to abiword_2.8.6.bbMartin Jansa2012-06-252-68/+68
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* abiword: fix packaging after PACKAGES reorderMartin Jansa2012-06-252-2/+5
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* libidl: Update LICENSE to contain actual versionchase maupin2012-06-052-2/+2
| | | | | | | | | * Updated the LICENSE field to contain the version of the LGPL being used which is LGPLv2+ * Update the PR to reflect this license change Signed-off-by: Chase Maupin <Chase.Maupin@ti.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* recipes: bump PR to fix -systemd postinsts where SYSTEMD_SERVICE was used ↵Martin Jansa2012-06-051-1/+1
| | | | | | | | without PN* suffix Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gcalctool: remove older version and drop 'patch=1'Martin Jansa2012-06-012-14/+1
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gnome-settings-daemon: fix staticdev QA warningsAndreas Müller2012-06-011-2/+4
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gnome-system-monitor: make it build by aligning includesAndreas Müller2012-05-162-0/+103
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gvfs: fix buildAndreas Müller2012-05-162-1/+33
| | | | | | | | | Error message was: | In file included from gvfsfusedaemon.c:44:0: | /home/andreas/tmp/oe-core-eglibc/sysroots/overo/usr/include/glib-2.0/glib/gurifuncs.h:24:2: error: #error "Only <glib.h> can be included directly." Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* gnome-settings-daemon 2.32.1: libsndfile -> libsndfile1Koen Kooi2012-05-091-1/+1
| | | | Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* Merge remote-tracking branch 'meta-oe-contrib/jansa/pull2'Koen Kooi2012-05-0810-184/+44
|\
| * orbit2: cleanup recipe, merge .inc and -nativeMartin Jansa2012-05-087-98/+44
| | | | | | | | | | | | | | | | | | | | | | | | | | * fix LICENSE field * this also upgrades -native from 2.14.12 to 2.14.17, because 2.14.12 is failing to configure:13143: checking alignment of CORBA_octet configure:13170: gcc -o conftest -isystem/OE/shr-core/tmp-eglibc/sysroots/x86_64-linux/usr/include -O2 -pipe -isystem/OE/shr-core/tmp-eglibc/sysroots/x86_64-linux/usr/include -pthread -I/OE/shr-core/tmp-eglibc/sysroots/x86_64-linux/usr/include/glib-2.0 -I/OE/shr-core/tmp-eglibc/sysroots/x86_64-linux/usr/lib/glib-2.0/include -L/OE/shr-core/tmp-eglibc/sysroots/x86_64-linux/usr/lib -L/OE/shr-core/tmp-eglibc/sysroots/x86_64-linux/lib -Wl,-rpath-link,/OE/shr-core/tmp-eglibc/sysroots/x86_64-linux/usr/lib -Wl,-rpath-link,/OE/shr-core/tmp-eglibc/sysroots/x86_64-linux/lib -Wl,-rpath,/OE/shr-core/tmp-eglibc/sysroots/x86_64-linux/usr/lib -Wl,-rpath,/OE/shr-core/tmp-eglibc/sysroots/x86_64-linux/lib -Wl,-O1 conftest.c -pthread -Wl,--export-dynamic -L/OE/shr-core/tmp-eglibc/sysroots/x86_64-linux/usr/lib -lgobject-2.0 -lgthread-2.0 -lgmodule-2.0 -lrt -lglib-2.0 >&5 In file included from ./include/orbit/util/basic_types.h:5:0, from conftest.c:45: /OE/shr-core/tmp-eglibc/sysroots/x86_64-linux/usr/include/glib-2.0/glib/gunicode.h:23:2: error: #error 'Only <glib.h> can be included directly.' * use GNOME_MIRROR and SHRT_VER in SRC_URI Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
| * libsoup-2.4, gobject-introspection: upgraded in oe-coreMartin Jansa2012-05-063-86/+0
| | | | | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* | gnome-settings-daemon: add dependency on libsndfileKoen Kooi2012-05-071-2/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | It's autodetected and leads to sstate based breakage on autobuilders: This ends up in the package: Package: gnome-settings-daemon Version: 2.32.1-r3 Depends: [..] libdbus-1-3 (>= 1.4.16), libx11-6 (>= 1.4.4), libogg0 (>= 1.3.0), libsndfile1 (>= 1.0.25), But libsndfile hasn't been built. Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* | gnome-settings-daemon: add dependency on libxtst6Koen Kooi2012-05-071-2/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | It's autodetected and leads to sstate based breakage on autobuilders: This ends up in the package: Package: gnome-settings-daemon Version: 2.32.1-r3 Depends: libltdl7 (>= 2.4.2), hicolor-icon-theme, libjson0 (>= 0.9), libxcb1 (>= 1.8.1), libxrender1 (>= 0.9.7), libpixman-1-0 (>= 0.25.2), libxml2 (>= 2.7.8), libxext6 (>= 1.3.1), libz1 (>= 1.2.6), libxtst6 (>= 1.2.1), But libxtst hasn't been built. Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* | gnome-session: add dependency on libxtst6Koen Kooi2012-05-071-2/+2
|/ | | | | | | | | | | | | | It's autodetected and leads to sstate based breakage on autobuilders: This ends up in the package: Package: gnome-session Version: 2.32.1-r1 Depends: libx11-6 (>= 1.4.4), hicolor-icon-theme, libxrender1 (>= 0.9.7), libdbus-1-3 (>= 1.4.16), libdbus-glib-1-2 (>= 0.98), gconf, libxtst6 (>= 1.2.1), But libxtst hasn't been built. Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
* abiword: fix build with glib-2.32Martin Jansa2012-05-042-2/+24
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* librsvg, cairo, pixman, tiff, libgpg-error: remove native support, was moved ↵Martin Jansa2012-04-261-2/+0
| | | | | | to oe-core Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* epiphany 2.30.6: add missing gnome-doc-utils dependencyKoen Kooi2012-04-251-1/+1
| | | | Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>